/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material3

import androidx.compose.runtime.Composable
import androidx.compose.runtime.ReadOnlyComposable

// TODO(https://github.com/JetBrains/compose-multiplatform/issues/3373) revert to expect get()
internal val is24HourFormat: Boolean
  @Composable
  @ReadOnlyComposable get() = is24HourFormat()

@Composable
@ReadOnlyComposable
internal expect fun is24HourFormat(): Boolean
