/*
 * Copyright 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_117
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.foundation.shape.RoundedCornerShape
import androidx.compose.ui.unit.dp

internal object CheckboxTokens {
    val ContainerHeight = 18.0.dp
    val ContainerShape = RoundedCornerShape(2.0.dp)
    val ContainerWidth = 18.0.dp
    val IconSize = 18.0.dp
    val SelectedContainerColor = ColorSchemeKeyTokens.Primary
    val SelectedDisabledContainerColor = ColorSchemeKeyTokens.OnSurface
    const val SelectedDisabledContainerOpacity = 0.38f
    val SelectedDisabledContainerOutlineWidth = 0.0.dp
    val SelectedDisabledIconColor = ColorSchemeKeyTokens.Surface
    val SelectedErrorContainerColor = ColorSchemeKeyTokens.Error
    val SelectedErrorFocusContainerColor = ColorSchemeKeyTokens.Error
    val SelectedErrorFocusIconColor = ColorSchemeKeyTokens.OnError
    val SelectedErrorFocusOutlineWidth = 0.0.dp
    val SelectedErrorHoverContainerColor = ColorSchemeKeyTokens.Error
    val SelectedErrorHoverIconColor = ColorSchemeKeyTokens.OnError
    val SelectedErrorHoverOutlineWidth = 0.0.dp
    val SelectedErrorIconColor = ColorSchemeKeyTokens.OnError
    val SelectedErrorPressedContainerColor = ColorSchemeKeyTokens.Error
    val SelectedErrorPressedIconColor = ColorSchemeKeyTokens.OnError
    val SelectedErrorPressedOutlineWidth = 0.0.dp
    val SelectedFocusContainerColor = ColorSchemeKeyTokens.Primary
    val SelectedFocusIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedFocusOutlineWidth = 0.0.dp
    val SelectedHoverContainerColor = ColorSchemeKeyTokens.Primary
    val SelectedHoverIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedHoverOutlineWidth = 0.0.dp
    val SelectedIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedOutlineWidth = 0.0.dp
    val SelectedPressedContainerColor = ColorSchemeKeyTokens.Primary
    val SelectedPressedIconColor = ColorSchemeKeyTokens.OnPrimary
    val SelectedPressedOutlineWidth = 0.0.dp
    val StateLayerShape = ShapeKeyTokens.CornerFull
    val StateLayerSize = 40.0.dp
    const val UnselectedDisabledContainerOpacity = 0.38f
    val UnselectedDisabledOutlineColor = ColorSchemeKeyTokens.OnSurface
    val UnselectedDisabledOutlineWidth = 2.0.dp
    val UnselectedErrorFocusOutlineColor = ColorSchemeKeyTokens.Error
    val UnselectedErrorFocusOutlineWidth = 2.0.dp
    val UnselectedErrorHoverOutlineColor = ColorSchemeKeyTokens.Error
    val UnselectedErrorHoverOutlineWidth = 2.0.dp
    val UnselectedErrorOutlineColor = ColorSchemeKeyTokens.Error
    val UnselectedErrorPressedOutlineColor = ColorSchemeKeyTokens.Error
    val UnselectedErrorPressedOutlineWidth = 2.0.dp
    val UnselectedFocusOutlineColor = ColorSchemeKeyTokens.OnSurface
    val UnselectedFocusOutlineWidth = 2.0.dp
    val UnselectedHoverOutlineColor = ColorSchemeKeyTokens.OnSurface
    val UnselectedHoverOutlineWidth = 2.0.dp
    val UnselectedOutlineColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedOutlineWidth = 2.0.dp
    val UnselectedPressedOutlineColor = ColorSchemeKeyTokens.OnSurface
    val UnselectedPressedOutlineWidth = 2.0.dp
}
