/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_103
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object FilledTextFieldTokens {
    val ActiveIndicatorColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val ActiveIndicatorHeight = 1.0.dp
    val CaretColor = ColorSchemeKeyTokens.Primary
    val ContainerColor = ColorSchemeKeyTokens.SurfaceVariant
    val ContainerHeight = 56.0.dp
    val ContainerShape = ShapeKeyTokens.CornerExtraSmallTop
    val DisabledActiveIndicatorColor = ColorSchemeKeyTokens.OnSurface
    val DisabledActiveIndicatorHeight = 1.0.dp
    const val DisabledActiveIndicatorOpacity = 0.38f
    val DisabledContainerColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledContainerOpacity = 0.04f
    val DisabledInputColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledInputOpacity = 0.38f
    val DisabledLabelColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledLabelOpacity = 0.38f
    val DisabledLeadingIconColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledLeadingIconOpacity = 0.38f
    val DisabledSupportingColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledSupportingOpacity = 0.38f
    val DisabledTrailingIconColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledTrailingIconOpacity = 0.38f
    val ErrorActiveIndicatorColor = ColorSchemeKeyTokens.Error
    val ErrorFocusActiveIndicatorColor = ColorSchemeKeyTokens.Error
    val ErrorFocusCaretColor = ColorSchemeKeyTokens.Error
    val ErrorFocusInputColor = ColorSchemeKeyTokens.OnSurface
    val ErrorFocusLabelColor = ColorSchemeKeyTokens.Error
    val ErrorFocusLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val ErrorFocusSupportingColor = ColorSchemeKeyTokens.Error
    val ErrorFocusTrailingIconColor = ColorSchemeKeyTokens.Error
    val ErrorHoverActiveIndicatorColor = ColorSchemeKeyTokens.OnErrorContainer
    val ErrorHoverInputColor = ColorSchemeKeyTokens.OnSurface
    val ErrorHoverLabelColor = ColorSchemeKeyTokens.OnErrorContainer
    val ErrorHoverLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val ErrorHoverSupportingColor = ColorSchemeKeyTokens.Error
    val ErrorHoverTrailingIconColor = ColorSchemeKeyTokens.OnErrorContainer
    val ErrorInputColor = ColorSchemeKeyTokens.OnSurface
    val ErrorLabelColor = ColorSchemeKeyTokens.Error
    val ErrorLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val ErrorSupportingColor = ColorSchemeKeyTokens.Error
    val ErrorTrailingIconColor = ColorSchemeKeyTokens.Error
    val FocusActiveIndicatorColor = ColorSchemeKeyTokens.Primary
    val FocusActiveIndicatorHeight = 2.0.dp
    val FocusInputColor = ColorSchemeKeyTokens.OnSurface
    val FocusLabelColor = ColorSchemeKeyTokens.Primary
    val FocusLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FocusSupportingColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FocusTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val HoverActiveIndicatorColor = ColorSchemeKeyTokens.OnSurface
    val HoverActiveIndicatorHeight = 1.0.dp
    val HoverInputColor = ColorSchemeKeyTokens.OnSurface
    val HoverLabelColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val HoverLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val HoverSupportingColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val HoverTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val InputColor = ColorSchemeKeyTokens.OnSurface
    val InputFont = TypographyKeyTokens.BodyLarge
    val InputPlaceholderColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val InputPrefixColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val InputSuffixColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val LabelColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val LabelFont = TypographyKeyTokens.BodyLarge
    val LeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val LeadingIconSize = 20.0.dp
    val SupportingColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val SupportingFont = TypographyKeyTokens.BodySmall
    val TrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TrailingIconSize = 24.0.dp
}
