/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_126
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object FilterChipTokens {
    val ContainerHeight = 32.0.dp
    val ContainerShape = ShapeKeyTokens.CornerSmall
    val ContainerSurfaceTintLayerColor = ColorSchemeKeyTokens.SurfaceTint
    val DisabledLabelTextColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledLabelTextOpacity = 0.38f
    val DraggedContainerElevation = ElevationTokens.Level4
    val ElevatedContainerElevation = ElevationTokens.Level1
    val ElevatedDisabledContainerColor = ColorSchemeKeyTokens.OnSurface
    val ElevatedDisabledContainerElevation = ElevationTokens.Level0
    const val ElevatedDisabledContainerOpacity = 0.12f
    val ElevatedFocusContainerElevation = ElevationTokens.Level1
    val ElevatedHoverContainerElevation = ElevationTokens.Level2
    val ElevatedPressedContainerElevation = ElevationTokens.Level1
    val ElevatedSelectedContainerColor = ColorSchemeKeyTokens.SecondaryContainer
    val ElevatedUnselectedContainerColor = ColorSchemeKeyTokens.Surface
    val FlatContainerElevation = ElevationTokens.Level0
    val FlatDisabledSelectedContainerColor = ColorSchemeKeyTokens.OnSurface
    const val FlatDisabledSelectedContainerOpacity = 0.12f
    val FlatDisabledUnselectedOutlineColor = ColorSchemeKeyTokens.OnSurface
    const val FlatDisabledUnselectedOutlineOpacity = 0.12f
    val FlatSelectedContainerColor = ColorSchemeKeyTokens.SecondaryContainer
    val FlatSelectedFocusContainerElevation = ElevationTokens.Level0
    val FlatSelectedHoverContainerElevation = ElevationTokens.Level1
    val FlatSelectedOutlineWidth = 0.0.dp
    val FlatSelectedPressedContainerElevation = ElevationTokens.Level0
    val FlatUnselectedFocusContainerElevation = ElevationTokens.Level0
    val FlatUnselectedFocusOutlineColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FlatUnselectedHoverContainerElevation = ElevationTokens.Level0
    val FlatUnselectedOutlineColor = ColorSchemeKeyTokens.Outline
    val FlatUnselectedOutlineWidth = 1.0.dp
    val FlatUnselectedPressedContainerElevation = ElevationTokens.Level0
    val LabelTextFont = TypographyKeyTokens.LabelLarge
    val SelectedDraggedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val UnselectedDraggedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val IconSize = 18.0.dp
    val DisabledLeadingIconColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledLeadingIconOpacity = 0.38f
    val LeadingIconUnselectedColor = ColorSchemeKeyTokens.Primary
    val SelectedDraggedLeadingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedFocusLeadingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedHoverLeadingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedLeadingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedPressedLeadingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val UnselectedDraggedLeadingIconColor = ColorSchemeKeyTokens.Primary
    val UnselectedFocusLeadingIconColor = ColorSchemeKeyTokens.Primary
    val UnselectedHoverLeadingIconColor = ColorSchemeKeyTokens.Primary
    val UnselectedPressedLeadingIconColor = ColorSchemeKeyTokens.Primary
    val DisabledTrailingIconColor = ColorSchemeKeyTokens.OnSurface
    const val DisabledTrailingIconOpacity = 0.38f
    val SelectedDraggedTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedFocusTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedHoverTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedPressedTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val SelectedTrailingIconColor = ColorSchemeKeyTokens.OnSecondaryContainer
    val TrailingIconUnselectedColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedDraggedTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedFocusTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedHoverTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val UnselectedPressedTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
}
