/*
 * Copyright 2022 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_103
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object OutlinedAutocompleteTokens {
    val MenuContainerColor = ColorSchemeKeyTokens.Surface
    val MenuContainerElevation = ElevationTokens.Level2
    val MenuContainerShape = ShapeKeyTokens.CornerExtraSmall
    val MenuContainerSurfaceTintLayerColor = ColorSchemeKeyTokens.SurfaceTint
    val MenuDividerColor = ColorSchemeKeyTokens.SurfaceVariant
    val MenuDividerHeight = 1.0.dp
    val MenuListItemContainerHeight = 48.0.dp
    val MenuListItemLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val MenuListItemLabelTextFont = TypographyKeyTokens.LabelLarge
    val MenuListItemSelectedContainerColor = ColorSchemeKeyTokens.SurfaceVariant
    val TextFieldCaretColor = ColorSchemeKeyTokens.Primary
    val TextFieldContainerColor = ColorSchemeKeyTokens.SurfaceVariant
    val TextFieldContainerHeight = 56.0.dp
    val TextFieldContainerShape = ShapeKeyTokens.CornerExtraSmall
    val FieldDisabledInputTextColor = ColorSchemeKeyTokens.OnSurface
    const val FieldDisabledInputTextOpacity = 0.38f
    val FieldDisabledLabelTextColor = ColorSchemeKeyTokens.OnSurface
    const val FieldDisabledLabelTextOpacity = 0.38f
    val TextFieldDisabledLeadingIconColor = ColorSchemeKeyTokens.OnSurface
    const val TextFieldDisabledLeadingIconOpacity = 0.38f
    val TextFieldDisabledOutlineColor = ColorSchemeKeyTokens.OnSurface
    const val TextFieldDisabledOutlineOpacity = 0.12f
    val TextFieldDisabledOutlineWidth = 1.0.dp
    val FieldDisabledSupportingTextColor = ColorSchemeKeyTokens.OnSurface
    const val FieldDisabledSupportingTextOpacity = 0.38f
    val TextFieldDisabledTrailingIconColor = ColorSchemeKeyTokens.OnSurface
    const val TextFieldDisabledTrailingIconOpacity = 0.38f
    val TextFieldErrorFocusCaretColor = ColorSchemeKeyTokens.Error
    val FieldErrorFocusInputTextColor = ColorSchemeKeyTokens.OnSurface
    val FieldErrorFocusLabelTextColor = ColorSchemeKeyTokens.Error
    val TextFieldErrorFocusLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldErrorFocusOutlineColor = ColorSchemeKeyTokens.Error
    val FieldErrorFocusSupportingTextColor = ColorSchemeKeyTokens.Error
    val TextFieldErrorFocusTrailingIconColor = ColorSchemeKeyTokens.Error
    val FieldErrorHoverInputTextColor = ColorSchemeKeyTokens.OnSurface
    val FieldErrorHoverLabelTextColor = ColorSchemeKeyTokens.OnErrorContainer
    val TextFieldErrorHoverLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldErrorHoverOutlineColor = ColorSchemeKeyTokens.OnErrorContainer
    val FieldErrorHoverSupportingTextColor = ColorSchemeKeyTokens.Error
    val TextFieldErrorHoverTrailingIconColor = ColorSchemeKeyTokens.OnErrorContainer
    val FieldErrorInputTextColor = ColorSchemeKeyTokens.OnSurface
    val FieldErrorLabelTextColor = ColorSchemeKeyTokens.Error
    val TextFieldErrorLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldErrorOutlineColor = ColorSchemeKeyTokens.Error
    val FieldErrorSupportingTextColor = ColorSchemeKeyTokens.Error
    val TextFieldErrorTrailingIconColor = ColorSchemeKeyTokens.Error
    val FieldFocusInputTextColor = ColorSchemeKeyTokens.OnSurface
    val FieldFocusLabelTextColor = ColorSchemeKeyTokens.Primary
    val TextFieldFocusLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldFocusOutlineColor = ColorSchemeKeyTokens.Primary
    val TextFieldFocusOutlineWidth = 2.0.dp
    val FieldFocusSupportingTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldFocusTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FieldHoverInputTextColor = ColorSchemeKeyTokens.OnSurface
    val FieldHoverLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldHoverLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldHoverOutlineColor = ColorSchemeKeyTokens.OnSurface
    val TextFieldHoverOutlineWidth = 1.0.dp
    val FieldHoverSupportingTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldHoverTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FieldInputTextColor = ColorSchemeKeyTokens.OnSurface
    val FieldInputTextFont = TypographyKeyTokens.BodyLarge
    val FieldLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FieldLabelTextFont = TypographyKeyTokens.BodyLarge
    val TextFieldLeadingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldLeadingIconSize = 24.0.dp
    val TextFieldOutlineColor = ColorSchemeKeyTokens.Outline
    val TextFieldOutlineWidth = 1.0.dp
    val FieldSupportingTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val FieldSupportingTextFont = TypographyKeyTokens.BodySmall
    val TextFieldTrailingIconColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TextFieldTrailingIconSize = 24.0.dp
}
