/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

// VERSION: v0_159
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object TimeInputTokens {
    val ContainerColor = ColorSchemeKeyTokens.Surface
    val ContainerElevation = ElevationTokens.Level3
    val ContainerShape = ShapeKeyTokens.CornerExtraLarge
    val HeadlineColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val HeadlineFont = TypographyKeyTokens.LabelMedium
    val PeriodSelectorContainerHeight = 72.0.dp
    val PeriodSelectorContainerShape = ShapeKeyTokens.CornerSmall
    val PeriodSelectorContainerWidth = 52.0.dp
    val PeriodSelectorLabelTextFont = TypographyKeyTokens.TitleMedium
    val PeriodSelectorOutlineColor = ColorSchemeKeyTokens.Outline
    val PeriodSelectorOutlineWidth = 1.0.dp
    val PeriodSelectorSelectedContainerColor = ColorSchemeKeyTokens.TertiaryContainer
    val PeriodSelectorSelectedFocusLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorSelectedHoverLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorSelectedLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorSelectedPressedLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorUnselectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val PeriodSelectorUnselectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val PeriodSelectorUnselectedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val PeriodSelectorUnselectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val SurfaceTintLayerColor = ColorSchemeKeyTokens.SurfaceTint
    val TimeFieldContainerColor = ColorSchemeKeyTokens.SurfaceVariant
    val TimeFieldContainerHeight = 72.0.dp
    val TimeFieldContainerShape = ShapeKeyTokens.CornerSmall
    val TimeFieldContainerWidth = 96.0.dp
    val TimeFieldFocusContainerColor = ColorSchemeKeyTokens.PrimaryContainer
    val TimeFieldFocusLabelTextColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val TimeFieldFocusOutlineColor = ColorSchemeKeyTokens.Primary
    val TimeFieldFocusOutlineWidth = 2.0.dp
    val TimeFieldHoverLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val TimeFieldLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val TimeFieldLabelTextFont = TypographyKeyTokens.DisplayMedium
    val TimeFieldSeparatorColor = ColorSchemeKeyTokens.OnSurface
    val TimeFieldSeparatorFont = TypographyKeyTokens.DisplayLarge
    val TimeFieldSupportingTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val TimeFieldSupportingTextFont = TypographyKeyTokens.BodySmall
}
