/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
// VERSION: v0_157
// GENERATED CODE - DO NOT MODIFY BY HAND

package androidx.compose.material3.tokens

import androidx.compose.ui.unit.dp

internal object TimePickerTokens {
    val ClockDialColor = ColorSchemeKeyTokens.SurfaceVariant
    val ClockDialContainerSize = 256.0.dp
    val ClockDialLabelTextFont = TypographyKeyTokens.BodyLarge
    val ClockDialSelectedLabelTextColor = ColorSchemeKeyTokens.OnPrimary
    val ClockDialSelectorCenterContainerColor = ColorSchemeKeyTokens.Primary
    val ClockDialSelectorCenterContainerShape = ShapeKeyTokens.CornerFull
    val ClockDialSelectorCenterContainerSize = 8.0.dp
    val ClockDialSelectorHandleContainerColor = ColorSchemeKeyTokens.Primary
    val ClockDialSelectorHandleContainerShape = ShapeKeyTokens.CornerFull
    val ClockDialSelectorHandleContainerSize = 48.0.dp
    val ClockDialSelectorTrackContainerColor = ColorSchemeKeyTokens.Primary
    val ClockDialSelectorTrackContainerWidth = 2.0.dp
    val ClockDialShape = ShapeKeyTokens.CornerFull
    val ClockDialUnselectedLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val ContainerColor = ColorSchemeKeyTokens.Surface
    val ContainerElevation = ElevationTokens.Level3
    val ContainerShape = ShapeKeyTokens.CornerExtraLarge
    val HeadlineColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val HeadlineFont = TypographyKeyTokens.LabelMedium
    val PeriodSelectorContainerShape = ShapeKeyTokens.CornerSmall
    val PeriodSelectorHorizontalContainerHeight = 38.0.dp
    val PeriodSelectorHorizontalContainerWidth = 216.0.dp
    val PeriodSelectorLabelTextFont = TypographyKeyTokens.TitleMedium
    val PeriodSelectorOutlineColor = ColorSchemeKeyTokens.Outline
    val PeriodSelectorOutlineWidth = 1.0.dp
    val PeriodSelectorSelectedContainerColor = ColorSchemeKeyTokens.TertiaryContainer
    val PeriodSelectorSelectedFocusLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorSelectedHoverLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorSelectedLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorSelectedPressedLabelTextColor = ColorSchemeKeyTokens.OnTertiaryContainer
    val PeriodSelectorUnselectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val PeriodSelectorUnselectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val PeriodSelectorUnselectedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val PeriodSelectorUnselectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSurfaceVariant
    val PeriodSelectorVerticalContainerHeight = 80.0.dp
    val PeriodSelectorVerticalContainerWidth = 52.0.dp
    val SurfaceTintLayerColor = ColorSchemeKeyTokens.SurfaceTint
    val TimeSelector24HVerticalContainerWidth = 114.0.dp
    val TimeSelectorContainerHeight = 80.0.dp
    val TimeSelectorContainerShape = ShapeKeyTokens.CornerSmall
    val TimeSelectorContainerWidth = 96.0.dp
    val TimeSelectorLabelTextFont = TypographyKeyTokens.DisplayLarge
    val TimeSelectorSelectedContainerColor = ColorSchemeKeyTokens.PrimaryContainer
    val TimeSelectorSelectedFocusLabelTextColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val TimeSelectorSelectedHoverLabelTextColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val TimeSelectorSelectedLabelTextColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val TimeSelectorSelectedPressedLabelTextColor = ColorSchemeKeyTokens.OnPrimaryContainer
    val TimeSelectorSeparatorColor = ColorSchemeKeyTokens.OnSurface
    val TimeSelectorSeparatorFont = TypographyKeyTokens.DisplayLarge
    val TimeSelectorUnselectedContainerColor = ColorSchemeKeyTokens.SurfaceVariant
    val TimeSelectorUnselectedFocusLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val TimeSelectorUnselectedHoverLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val TimeSelectorUnselectedLabelTextColor = ColorSchemeKeyTokens.OnSurface
    val TimeSelectorUnselectedPressedLabelTextColor = ColorSchemeKeyTokens.OnSurface
}
