/*
 * Copyright 2023 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package androidx.compose.material3

internal expect class PlatformDateFormat constructor(locale: CalendarLocale) {


    val firstDayOfWeek : Int

    /**
     * Localized by platform weekdays
     * */
    val weekdayNames: List<Pair<String, String>>

    fun formatWithPattern(
        utcTimeMillis: Long,
        pattern: String,
    ): String

    fun formatWithSkeleton(
        utcTimeMillis: Long,
        skeleton: String,
    ): String

    fun parse(date: String, pattern: String): CalendarDate?

    fun getDateInputFormat(): DateInputFormat

    fun is24HourFormat() : Boolean
}